## org.codehaus.groovy.grails.resolve
Interface DependencyDefinitionParser

All Known Implementing Classes:
  IvyDependencyManager

    public interface DependencyDefinitionParser

An interface that defines methods for parsing dependency definitions defined in the form of a Groovy DSL

Since:
  1.2
Author:
  Graeme Rocher

Method Summary
`void` `parseDependencies(groovy.lang.Closure definition)` Parses DSL code into a dependency definition

Method Detail

### parseDependencies

    void parseDependencies(groovy.lang.Closure definition)

  Parses DSL code into a dependency definition

  Parameters:
    `definition` - The DSL code

Copyright (c) 2005-2009 The Grails project